IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/88
Addresses2^40
/64 networksPart of one
- Network
2001:db8::9100:0:0/88- First address
2001:db8::9100:0:0- Last address
2001:db8::91ff:ffff:ffff- Addresses
- 1,099,511,627,776 (2^40)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2001:0db8:0000:0000:0000:9100:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
1.9.0.0.0.0.0.0.0.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8::9100:0:0/88 makes 4,096 subnets of /100; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8::9100:0:0/100 | 2001:db8::9100:fff:ffff |
| 2 | 2001:db8::9100:1000:0/100 | 2001:db8::9100:1fff:ffff |
| 3 | 2001:db8::9100:2000:0/100 | 2001:db8::9100:2fff:ffff |
| 4 | 2001:db8::9100:3000:0/100 | 2001:db8::9100:3fff:ffff |
| 5 | 2001:db8::9100:4000:0/100 | 2001:db8::9100:4fff:ffff |
| 6 | 2001:db8::9100:5000:0/100 | 2001:db8::9100:5fff:ffff |
| 7 | 2001:db8::9100:6000:0/100 | 2001:db8::9100:6fff:ffff |
| 8 | 2001:db8::9100:7000:0/100 | 2001:db8::9100:7fff:ffff |
| 9 | 2001:db8::9100:8000:0/100 | 2001:db8::9100:8fff:ffff |
| 10 | 2001:db8::9100:9000:0/100 | 2001:db8::9100:9fff:ffff |
| 11 | 2001:db8::9100:a000:0/100 | 2001:db8::9100:afff:ffff |
| 12 | 2001:db8::9100:b000:0/100 | 2001:db8::9100:bfff:ffff |
| 13 | 2001:db8::9100:c000:0/100 | 2001:db8::9100:cfff:ffff |
| 14 | 2001:db8::9100:d000:0/100 | 2001:db8::9100:dfff:ffff |
| 15 | 2001:db8::9100:e000:0/100 | 2001:db8::9100:efff:ffff |
| 16 | 2001:db8::9100:f000:0/100 | 2001:db8::9100:ffff:ffff |
| 17 | 2001:db8::9101:0:0/100 | 2001:db8::9101:fff:ffff |
| 18 | 2001:db8::9101:1000:0/100 | 2001:db8::9101:1fff:ffff |
| 19 | 2001:db8::9101:2000:0/100 | 2001:db8::9101:2fff:ffff |
| 20 | 2001:db8::9101:3000:0/100 | 2001:db8::9101:3fff:ffff |
| 21 | 2001:db8::9101:4000:0/100 | 2001:db8::9101:4fff:ffff |
| 22 | 2001:db8::9101:5000:0/100 | 2001:db8::9101:5fff:ffff |
| 23 | 2001:db8::9101:6000:0/100 | 2001:db8::9101:6fff:ffff |
| 24 | 2001:db8::9101:7000:0/100 | 2001:db8::9101:7fff:ffff |
| 25 | 2001:db8::9101:8000:0/100 | 2001:db8::9101:8fff:ffff |
| 26 | 2001:db8::9101:9000:0/100 | 2001:db8::9101:9fff:ffff |
| 27 | 2001:db8::9101:a000:0/100 | 2001:db8::9101:afff:ffff |
| 28 | 2001:db8::9101:b000:0/100 | 2001:db8::9101:bfff:ffff |
| 29 | 2001:db8::9101:c000:0/100 | 2001:db8::9101:cfff:ffff |
| 30 | 2001:db8::9101:d000:0/100 | 2001:db8::9101:dfff:ffff |
| 31 | 2001:db8::9101:e000:0/100 | 2001:db8::9101:efff:ffff |
| 32 | 2001:db8::9101:f000:0/100 | 2001:db8::9101:ffff:ffff |
| 33 | 2001:db8::9102:0:0/100 | 2001:db8::9102:fff:ffff |
| 34 | 2001:db8::9102:1000:0/100 | 2001:db8::9102:1fff:ffff |
| 35 | 2001:db8::9102:2000:0/100 | 2001:db8::9102:2fff:ffff |
| 36 | 2001:db8::9102:3000:0/100 | 2001:db8::9102:3fff:ffff |
| 37 | 2001:db8::9102:4000:0/100 | 2001:db8::9102:4fff:ffff |
| 38 | 2001:db8::9102:5000:0/100 | 2001:db8::9102:5fff:ffff |
| 39 | 2001:db8::9102:6000:0/100 | 2001:db8::9102:6fff:ffff |
| 40 | 2001:db8::9102:7000:0/100 | 2001:db8::9102:7fff:ffff |
| 41 | 2001:db8::9102:8000:0/100 | 2001:db8::9102:8fff:ffff |
| 42 | 2001:db8::9102:9000:0/100 | 2001:db8::9102:9fff:ffff |
| 43 | 2001:db8::9102:a000:0/100 | 2001:db8::9102:afff:ffff |
| 44 | 2001:db8::9102:b000:0/100 | 2001:db8::9102:bfff:ffff |
| 45 | 2001:db8::9102:c000:0/100 | 2001:db8::9102:cfff:ffff |
| 46 | 2001:db8::9102:d000:0/100 | 2001:db8::9102:dfff:ffff |
| 47 | 2001:db8::9102:e000:0/100 | 2001:db8::9102:efff:ffff |
| 48 | 2001:db8::9102:f000:0/100 | 2001:db8::9102:ffff:ffff |
| 49 | 2001:db8::9103:0:0/100 | 2001:db8::9103:fff:ffff |
| 50 | 2001:db8::9103:1000:0/100 | 2001:db8::9103:1fff:ffff |
| 51 | 2001:db8::9103:2000:0/100 | 2001:db8::9103:2fff:ffff |
| 52 | 2001:db8::9103:3000:0/100 | 2001:db8::9103:3fff:ffff |
| 53 | 2001:db8::9103:4000:0/100 | 2001:db8::9103:4fff:ffff |
| 54 | 2001:db8::9103:5000:0/100 | 2001:db8::9103:5fff:ffff |
| 55 | 2001:db8::9103:6000:0/100 | 2001:db8::9103:6fff:ffff |
| 56 | 2001:db8::9103:7000:0/100 | 2001:db8::9103:7fff:ffff |
| 57 | 2001:db8::9103:8000:0/100 | 2001:db8::9103:8fff:ffff |
| 58 | 2001:db8::9103:9000:0/100 | 2001:db8::9103:9fff:ffff |
| 59 | 2001:db8::9103:a000:0/100 | 2001:db8::9103:afff:ffff |
| 60 | 2001:db8::9103:b000:0/100 | 2001:db8::9103:bfff:ffff |
| 61 | 2001:db8::9103:c000:0/100 | 2001:db8::9103:cfff:ffff |
| 62 | 2001:db8::9103:d000:0/100 | 2001:db8::9103:dfff:ffff |
| 63 | 2001:db8::9103:e000:0/100 | 2001:db8::9103:efff:ffff |
| 64 | 2001:db8::9103:f000:0/100 | 2001:db8::9103:ffff:ffff |
| 65 | 2001:db8::9104:0:0/100 | 2001:db8::9104:fff:ffff |
| 66 | 2001:db8::9104:1000:0/100 | 2001:db8::9104:1fff:ffff |
| 67 | 2001:db8::9104:2000:0/100 | 2001:db8::9104:2fff:ffff |
| 68 | 2001:db8::9104:3000:0/100 | 2001:db8::9104:3fff:ffff |
| 69 | 2001:db8::9104:4000:0/100 | 2001:db8::9104:4fff:ffff |
| 70 | 2001:db8::9104:5000:0/100 | 2001:db8::9104:5fff:ffff |
| 71 | 2001:db8::9104:6000:0/100 | 2001:db8::9104:6fff:ffff |
| 72 | 2001:db8::9104:7000:0/100 | 2001:db8::9104:7fff:ffff |
| 73 | 2001:db8::9104:8000:0/100 | 2001:db8::9104:8fff:ffff |
| 74 | 2001:db8::9104:9000:0/100 | 2001:db8::9104:9fff:ffff |
| 75 | 2001:db8::9104:a000:0/100 | 2001:db8::9104:afff:ffff |
| 76 | 2001:db8::9104:b000:0/100 | 2001:db8::9104:bfff:ffff |
| 77 | 2001:db8::9104:c000:0/100 | 2001:db8::9104:cfff:ffff |
| 78 | 2001:db8::9104:d000:0/100 | 2001:db8::9104:dfff:ffff |
| 79 | 2001:db8::9104:e000:0/100 | 2001:db8::9104:efff:ffff |
| 80 | 2001:db8::9104:f000:0/100 | 2001:db8::9104:ffff:ffff |
| 81 | 2001:db8::9105:0:0/100 | 2001:db8::9105:fff:ffff |
| 82 | 2001:db8::9105:1000:0/100 | 2001:db8::9105:1fff:ffff |
| 83 | 2001:db8::9105:2000:0/100 | 2001:db8::9105:2fff:ffff |
| 84 | 2001:db8::9105:3000:0/100 | 2001:db8::9105:3fff:ffff |
| 85 | 2001:db8::9105:4000:0/100 | 2001:db8::9105:4fff:ffff |
| 86 | 2001:db8::9105:5000:0/100 | 2001:db8::9105:5fff:ffff |
| 87 | 2001:db8::9105:6000:0/100 | 2001:db8::9105:6fff:ffff |
| 88 | 2001:db8::9105:7000:0/100 | 2001:db8::9105:7fff:ffff |
| 89 | 2001:db8::9105:8000:0/100 | 2001:db8::9105:8fff:ffff |
| 90 | 2001:db8::9105:9000:0/100 | 2001:db8::9105:9fff:ffff |
| 91 | 2001:db8::9105:a000:0/100 | 2001:db8::9105:afff:ffff |
| 92 | 2001:db8::9105:b000:0/100 | 2001:db8::9105:bfff:ffff |
| 93 | 2001:db8::9105:c000:0/100 | 2001:db8::9105:cfff:ffff |
| 94 | 2001:db8::9105:d000:0/100 | 2001:db8::9105:dfff:ffff |
| 95 | 2001:db8::9105:e000:0/100 | 2001:db8::9105:efff:ffff |
| 96 | 2001:db8::9105:f000:0/100 | 2001:db8::9105:ffff:ffff |
| 97 | 2001:db8::9106:0:0/100 | 2001:db8::9106:fff:ffff |
| 98 | 2001:db8::9106:1000:0/100 | 2001:db8::9106:1fff:ffff |
| 99 | 2001:db8::9106:2000:0/100 | 2001:db8::9106:2fff:ffff |
| 100 | 2001:db8::9106:3000:0/100 | 2001:db8::9106:3fff:ffff |
| 101 | 2001:db8::9106:4000:0/100 | 2001:db8::9106:4fff:ffff |
| 102 | 2001:db8::9106:5000:0/100 | 2001:db8::9106:5fff:ffff |
| 103 | 2001:db8::9106:6000:0/100 | 2001:db8::9106:6fff:ffff |
| 104 | 2001:db8::9106:7000:0/100 | 2001:db8::9106:7fff:ffff |
| 105 | 2001:db8::9106:8000:0/100 | 2001:db8::9106:8fff:ffff |
| 106 | 2001:db8::9106:9000:0/100 | 2001:db8::9106:9fff:ffff |
| 107 | 2001:db8::9106:a000:0/100 | 2001:db8::9106:afff:ffff |
| 108 | 2001:db8::9106:b000:0/100 | 2001:db8::9106:bfff:ffff |
| 109 | 2001:db8::9106:c000:0/100 | 2001:db8::9106:cfff:ffff |
| 110 | 2001:db8::9106:d000:0/100 | 2001:db8::9106:dfff:ffff |
| 111 | 2001:db8::9106:e000:0/100 | 2001:db8::9106:efff:ffff |
| 112 | 2001:db8::9106:f000:0/100 | 2001:db8::9106:ffff:ffff |
| 113 | 2001:db8::9107:0:0/100 | 2001:db8::9107:fff:ffff |
| 114 | 2001:db8::9107:1000:0/100 | 2001:db8::9107:1fff:ffff |
| 115 | 2001:db8::9107:2000:0/100 | 2001:db8::9107:2fff:ffff |
| 116 | 2001:db8::9107:3000:0/100 | 2001:db8::9107:3fff:ffff |
| 117 | 2001:db8::9107:4000:0/100 | 2001:db8::9107:4fff:ffff |
| 118 | 2001:db8::9107:5000:0/100 | 2001:db8::9107:5fff:ffff |
| 119 | 2001:db8::9107:6000:0/100 | 2001:db8::9107:6fff:ffff |
| 120 | 2001:db8::9107:7000:0/100 | 2001:db8::9107:7fff:ffff |
| 121 | 2001:db8::9107:8000:0/100 | 2001:db8::9107:8fff:ffff |
| 122 | 2001:db8::9107:9000:0/100 | 2001:db8::9107:9fff:ffff |
| 123 | 2001:db8::9107:a000:0/100 | 2001:db8::9107:afff:ffff |
| 124 | 2001:db8::9107:b000:0/100 | 2001:db8::9107:bfff:ffff |
| 125 | 2001:db8::9107:c000:0/100 | 2001:db8::9107:cfff:ffff |
| 126 | 2001:db8::9107:d000:0/100 | 2001:db8::9107:dfff:ffff |
| 127 | 2001:db8::9107:e000:0/100 | 2001:db8::9107:efff:ffff |
| 128 | 2001:db8::9107:f000:0/100 | 2001:db8::9107:ffff:ffff |
| 129 | 2001:db8::9108:0:0/100 | 2001:db8::9108:fff:ffff |
| 130 | 2001:db8::9108:1000:0/100 | 2001:db8::9108:1fff:ffff |
| 131 | 2001:db8::9108:2000:0/100 | 2001:db8::9108:2fff:ffff |
| 132 | 2001:db8::9108:3000:0/100 | 2001:db8::9108:3fff:ffff |
| 133 | 2001:db8::9108:4000:0/100 | 2001:db8::9108:4fff:ffff |
| 134 | 2001:db8::9108:5000:0/100 | 2001:db8::9108:5fff:ffff |
| 135 | 2001:db8::9108:6000:0/100 | 2001:db8::9108:6fff:ffff |
| 136 | 2001:db8::9108:7000:0/100 | 2001:db8::9108:7fff:ffff |
| 137 | 2001:db8::9108:8000:0/100 | 2001:db8::9108:8fff:ffff |
| 138 | 2001:db8::9108:9000:0/100 | 2001:db8::9108:9fff:ffff |
| 139 | 2001:db8::9108:a000:0/100 | 2001:db8::9108:afff:ffff |
| 140 | 2001:db8::9108:b000:0/100 | 2001:db8::9108:bfff:ffff |
| 141 | 2001:db8::9108:c000:0/100 | 2001:db8::9108:cfff:ffff |
| 142 | 2001:db8::9108:d000:0/100 | 2001:db8::9108:dfff:ffff |
| 143 | 2001:db8::9108:e000:0/100 | 2001:db8::9108:efff:ffff |
| 144 | 2001:db8::9108:f000:0/100 | 2001:db8::9108:ffff:ffff |
| 145 | 2001:db8::9109:0:0/100 | 2001:db8::9109:fff:ffff |
| 146 | 2001:db8::9109:1000:0/100 | 2001:db8::9109:1fff:ffff |
| 147 | 2001:db8::9109:2000:0/100 | 2001:db8::9109:2fff:ffff |
| 148 | 2001:db8::9109:3000:0/100 | 2001:db8::9109:3fff:ffff |
| 149 | 2001:db8::9109:4000:0/100 | 2001:db8::9109:4fff:ffff |
| 150 | 2001:db8::9109:5000:0/100 | 2001:db8::9109:5fff:ffff |
| 151 | 2001:db8::9109:6000:0/100 | 2001:db8::9109:6fff:ffff |
| 152 | 2001:db8::9109:7000:0/100 | 2001:db8::9109:7fff:ffff |
| 153 | 2001:db8::9109:8000:0/100 | 2001:db8::9109:8fff:ffff |
| 154 | 2001:db8::9109:9000:0/100 | 2001:db8::9109:9fff:ffff |
| 155 | 2001:db8::9109:a000:0/100 | 2001:db8::9109:afff:ffff |
| 156 | 2001:db8::9109:b000:0/100 | 2001:db8::9109:bfff:ffff |
| 157 | 2001:db8::9109:c000:0/100 | 2001:db8::9109:cfff:ffff |
| 158 | 2001:db8::9109:d000:0/100 | 2001:db8::9109:dfff:ffff |
| 159 | 2001:db8::9109:e000:0/100 | 2001:db8::9109:efff:ffff |
| 160 | 2001:db8::9109:f000:0/100 | 2001:db8::9109:ffff:ffff |
| 161 | 2001:db8::910a:0:0/100 | 2001:db8::910a:fff:ffff |
| 162 | 2001:db8::910a:1000:0/100 | 2001:db8::910a:1fff:ffff |
| 163 | 2001:db8::910a:2000:0/100 | 2001:db8::910a:2fff:ffff |
| 164 | 2001:db8::910a:3000:0/100 | 2001:db8::910a:3fff:ffff |
| 165 | 2001:db8::910a:4000:0/100 | 2001:db8::910a:4fff:ffff |
| 166 | 2001:db8::910a:5000:0/100 | 2001:db8::910a:5fff:ffff |
| 167 | 2001:db8::910a:6000:0/100 | 2001:db8::910a:6fff:ffff |
| 168 | 2001:db8::910a:7000:0/100 | 2001:db8::910a:7fff:ffff |
| 169 | 2001:db8::910a:8000:0/100 | 2001:db8::910a:8fff:ffff |
| 170 | 2001:db8::910a:9000:0/100 | 2001:db8::910a:9fff:ffff |
| 171 | 2001:db8::910a:a000:0/100 | 2001:db8::910a:afff:ffff |
| 172 | 2001:db8::910a:b000:0/100 | 2001:db8::910a:bfff:ffff |
| 173 | 2001:db8::910a:c000:0/100 | 2001:db8::910a:cfff:ffff |
| 174 | 2001:db8::910a:d000:0/100 | 2001:db8::910a:dfff:ffff |
| 175 | 2001:db8::910a:e000:0/100 | 2001:db8::910a:efff:ffff |
| 176 | 2001:db8::910a:f000:0/100 | 2001:db8::910a:ffff:ffff |
| 177 | 2001:db8::910b:0:0/100 | 2001:db8::910b:fff:ffff |
| 178 | 2001:db8::910b:1000:0/100 | 2001:db8::910b:1fff:ffff |
| 179 | 2001:db8::910b:2000:0/100 | 2001:db8::910b:2fff:ffff |
| 180 | 2001:db8::910b:3000:0/100 | 2001:db8::910b:3fff:ffff |
| 181 | 2001:db8::910b:4000:0/100 | 2001:db8::910b:4fff:ffff |
| 182 | 2001:db8::910b:5000:0/100 | 2001:db8::910b:5fff:ffff |
| 183 | 2001:db8::910b:6000:0/100 | 2001:db8::910b:6fff:ffff |
| 184 | 2001:db8::910b:7000:0/100 | 2001:db8::910b:7fff:ffff |
| 185 | 2001:db8::910b:8000:0/100 | 2001:db8::910b:8fff:ffff |
| 186 | 2001:db8::910b:9000:0/100 | 2001:db8::910b:9fff:ffff |
| 187 | 2001:db8::910b:a000:0/100 | 2001:db8::910b:afff:ffff |
| 188 | 2001:db8::910b:b000:0/100 | 2001:db8::910b:bfff:ffff |
| 189 | 2001:db8::910b:c000:0/100 | 2001:db8::910b:cfff:ffff |
| 190 | 2001:db8::910b:d000:0/100 | 2001:db8::910b:dfff:ffff |
| 191 | 2001:db8::910b:e000:0/100 | 2001:db8::910b:efff:ffff |
| 192 | 2001:db8::910b:f000:0/100 | 2001:db8::910b:ffff:ffff |
| 193 | 2001:db8::910c:0:0/100 | 2001:db8::910c:fff:ffff |
| 194 | 2001:db8::910c:1000:0/100 | 2001:db8::910c:1fff:ffff |
| 195 | 2001:db8::910c:2000:0/100 | 2001:db8::910c:2fff:ffff |
| 196 | 2001:db8::910c:3000:0/100 | 2001:db8::910c:3fff:ffff |
| 197 | 2001:db8::910c:4000:0/100 | 2001:db8::910c:4fff:ffff |
| 198 | 2001:db8::910c:5000:0/100 | 2001:db8::910c:5fff:ffff |
| 199 | 2001:db8::910c:6000:0/100 | 2001:db8::910c:6fff:ffff |
| 200 | 2001:db8::910c:7000:0/100 | 2001:db8::910c:7fff:ffff |
| 201 | 2001:db8::910c:8000:0/100 | 2001:db8::910c:8fff:ffff |
| 202 | 2001:db8::910c:9000:0/100 | 2001:db8::910c:9fff:ffff |
| 203 | 2001:db8::910c:a000:0/100 | 2001:db8::910c:afff:ffff |
| 204 | 2001:db8::910c:b000:0/100 | 2001:db8::910c:bfff:ffff |
| 205 | 2001:db8::910c:c000:0/100 | 2001:db8::910c:cfff:ffff |
| 206 | 2001:db8::910c:d000:0/100 | 2001:db8::910c:dfff:ffff |
| 207 | 2001:db8::910c:e000:0/100 | 2001:db8::910c:efff:ffff |
| 208 | 2001:db8::910c:f000:0/100 | 2001:db8::910c:ffff:ffff |
| 209 | 2001:db8::910d:0:0/100 | 2001:db8::910d:fff:ffff |
| 210 | 2001:db8::910d:1000:0/100 | 2001:db8::910d:1fff:ffff |
| 211 | 2001:db8::910d:2000:0/100 | 2001:db8::910d:2fff:ffff |
| 212 | 2001:db8::910d:3000:0/100 | 2001:db8::910d:3fff:ffff |
| 213 | 2001:db8::910d:4000:0/100 | 2001:db8::910d:4fff:ffff |
| 214 | 2001:db8::910d:5000:0/100 | 2001:db8::910d:5fff:ffff |
| 215 | 2001:db8::910d:6000:0/100 | 2001:db8::910d:6fff:ffff |
| 216 | 2001:db8::910d:7000:0/100 | 2001:db8::910d:7fff:ffff |
| 217 | 2001:db8::910d:8000:0/100 | 2001:db8::910d:8fff:ffff |
| 218 | 2001:db8::910d:9000:0/100 | 2001:db8::910d:9fff:ffff |
| 219 | 2001:db8::910d:a000:0/100 | 2001:db8::910d:afff:ffff |
| 220 | 2001:db8::910d:b000:0/100 | 2001:db8::910d:bfff:ffff |
| 221 | 2001:db8::910d:c000:0/100 | 2001:db8::910d:cfff:ffff |
| 222 | 2001:db8::910d:d000:0/100 | 2001:db8::910d:dfff:ffff |
| 223 | 2001:db8::910d:e000:0/100 | 2001:db8::910d:efff:ffff |
| 224 | 2001:db8::910d:f000:0/100 | 2001:db8::910d:ffff:ffff |
| 225 | 2001:db8::910e:0:0/100 | 2001:db8::910e:fff:ffff |
| 226 | 2001:db8::910e:1000:0/100 | 2001:db8::910e:1fff:ffff |
| 227 | 2001:db8::910e:2000:0/100 | 2001:db8::910e:2fff:ffff |
| 228 | 2001:db8::910e:3000:0/100 | 2001:db8::910e:3fff:ffff |
| 229 | 2001:db8::910e:4000:0/100 | 2001:db8::910e:4fff:ffff |
| 230 | 2001:db8::910e:5000:0/100 | 2001:db8::910e:5fff:ffff |
| 231 | 2001:db8::910e:6000:0/100 | 2001:db8::910e:6fff:ffff |
| 232 | 2001:db8::910e:7000:0/100 | 2001:db8::910e:7fff:ffff |
| 233 | 2001:db8::910e:8000:0/100 | 2001:db8::910e:8fff:ffff |
| 234 | 2001:db8::910e:9000:0/100 | 2001:db8::910e:9fff:ffff |
| 235 | 2001:db8::910e:a000:0/100 | 2001:db8::910e:afff:ffff |
| 236 | 2001:db8::910e:b000:0/100 | 2001:db8::910e:bfff:ffff |
| 237 | 2001:db8::910e:c000:0/100 | 2001:db8::910e:cfff:ffff |
| 238 | 2001:db8::910e:d000:0/100 | 2001:db8::910e:dfff:ffff |
| 239 | 2001:db8::910e:e000:0/100 | 2001:db8::910e:efff:ffff |
| 240 | 2001:db8::910e:f000:0/100 | 2001:db8::910e:ffff:ffff |
| 241 | 2001:db8::910f:0:0/100 | 2001:db8::910f:fff:ffff |
| 242 | 2001:db8::910f:1000:0/100 | 2001:db8::910f:1fff:ffff |
| 243 | 2001:db8::910f:2000:0/100 | 2001:db8::910f:2fff:ffff |
| 244 | 2001:db8::910f:3000:0/100 | 2001:db8::910f:3fff:ffff |
| 245 | 2001:db8::910f:4000:0/100 | 2001:db8::910f:4fff:ffff |
| 246 | 2001:db8::910f:5000:0/100 | 2001:db8::910f:5fff:ffff |
| 247 | 2001:db8::910f:6000:0/100 | 2001:db8::910f:6fff:ffff |
| 248 | 2001:db8::910f:7000:0/100 | 2001:db8::910f:7fff:ffff |
| 249 | 2001:db8::910f:8000:0/100 | 2001:db8::910f:8fff:ffff |
| 250 | 2001:db8::910f:9000:0/100 | 2001:db8::910f:9fff:ffff |
| 251 | 2001:db8::910f:a000:0/100 | 2001:db8::910f:afff:ffff |
| 252 | 2001:db8::910f:b000:0/100 | 2001:db8::910f:bfff:ffff |
| 253 | 2001:db8::910f:c000:0/100 | 2001:db8::910f:cfff:ffff |
| 254 | 2001:db8::910f:d000:0/100 | 2001:db8::910f:dfff:ffff |
| 255 | 2001:db8::910f:e000:0/100 | 2001:db8::910f:efff:ffff |
| 256 | 2001:db8::910f:f000:0/100 | 2001:db8::910f:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |